//
//  PTSetting.m
//  WirelessPrinter
//
//  Created by midmirror on 16/8/29.
//  Copyright © 2016年 midmirror. All rights reserved.
//

#import "PTSetting.h"

static NSString *const settingScan = @"settingScan";

@interface PTSetting()

@property(strong,nonatomic,readwrite) NSUserDefaults *userDefaults;
@property(strong,nonatomic,readwrite) NSMutableDictionary *scanSettingDict;

@end

@implementation PTSetting

singletonM(PTSetting)

- (void)initScanSettingDict {
    
    self.userDefaults = [NSUserDefaults standardUserDefaults];
    self.scanSettingDict = [[NSMutableDictionary alloc] initWithDictionary:[self.userDefaults objectForKey:settingScan]];
}

- (void)saveScanSettingWithKey:(NSString *)key value:(BOOL)value {
    
    NSString *saveValue;
    if (value == TRUE) {
        saveValue = setting_value_true;
    } else {
        saveValue = setting_value_false;
    }
    [self initScanSettingDict];
    [self.scanSettingDict setObject:saveValue forKey:key];
    [self.userDefaults setObject:self.scanSettingDict forKey:settingScan];
}

- (BOOL)sychronize {
    return [self.userDefaults synchronize];
}

- (BOOL)getScanSettingWithKey:(NSString *)key {
    
    [self initScanSettingDict];
    if ([self.scanSettingDict[key] isEqualToString:setting_value_true]) {
        return TRUE;
    } else {
        return  FALSE;
    }
}

- (void)saveScanDistance:(double)distance {
    [self initScanSettingDict];
    [self.scanSettingDict setObject:[NSString stringWithFormat:@"%f",distance] forKey:setting_distance];
    [self.userDefaults setObject:self.scanSettingDict forKey:settingScan];
}

- (double)getScanDistance {
    
    [self initScanSettingDict];
    NSString *distance =  self.scanSettingDict[setting_distance];
    if (distance) {
        return distance.doubleValue;
    } else {
        return 0.2;
    }
}

@end
