//
//  PTTestTSC.h
//  WirelessPrinter
//
//  Created by midmirror on 16/3/3.
//  Copyright © 2016年 midmirror. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef NS_ENUM(NSInteger, PTPaperStatus) {
    
    PTPaperStatusNormal = 0, //有纸、合盖
    PTPaperStatusPaperNull,  //缺纸
    PTPaperStatusLidOpen,    //开盖
    PTPaperStatusUnknown,    //未知错误 0000
};
typedef void(^GetPaperStatusBlock)(PTPaperStatus status);

@interface PTTestTSC : NSObject

@property(copy,nonatomic,readwrite) GetPaperStatusBlock statusBlock;

- (void)CLS;

/** 打印菜鸟模板 */
- (void)printCaiNiaoTemplate;

/** 打印中通模板 */
- (void)printZhongTongTemplate;

/** 打印申通模板 */
- (void)printShenTongTemplate;

- (void)printZhongJiTemplate;

- (void)testCaiNiaoGetPaperStatus:(GetPaperStatusBlock)statusBlock;

/** 打印自检页 */
- (void)selfTest;
/** 打印文本 */
- (void)printText;
// 打印反白文本
- (void)printReverseText;
/** 打印横线 */
- (void)printBar;
/** 打印条形码 */
- (void)printBarcode;
/** 打印矩形 */
- (void)printBox;
/** 打印圆形 */
- (void)printCircle;

/** 擦除部分区域 */
- (void)printErase;

/** 打印条码、二维码 */
- (void)printDMatix;
- (void)printMaxicode;
- (void)printPDF417;
- (void)printQRCode;

/** 打印图片 */
- (void)printBitmap;

/** 打印小票 */
- (void)printReceipt;
/** 打印面单 */
- (void)printLabel;

@end
