//
//  PTTscVC.m
//  WirelessPrinter
//
//  Created by midmirror on 16/3/1.
//  Copyright © 2016年 midmirror. All rights reserved.
//

#import "PTTscVC.h"
#import "PTTestTSC.h"
#import <Masonry/Masonry.h>

#import "PTTscBarcodeVC.h"
#import "PTTscTextVC.h"
#import "PTPrinterPort.h"

@interface PTTscVC ()

@property(strong,nonatomic,readwrite) UITableView *tableView;
@property(strong,nonatomic,readwrite) NSArray *titleArray;
@property(strong,nonatomic,readwrite) NSArray *vcTitleArray;

@end

@implementation PTTscVC

- (void)viewDidLoad {
    [super viewDidLoad];
    
    _tableView = [[UITableView alloc] initWithFrame:self.view.bounds style:UITableViewStyleGrouped];
    _tableView.dataSource = self;
    _tableView.delegate = self;
    [self.view addSubview:_tableView];
    
    
    _titleArray = @[@"自检",@"Text",@"Bar",@"Box",@"Circle",@"Data Matrix",@"Erase",@"Maxicode",@"PDF147",@"Barcode",@"Receipt",@"QRCode",@"Bitmap"];
    _vcTitleArray = @[@"Barcode",@"Text"];
}



- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark UITableViewDataSource
- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView;              // Default is 1 if not implemented
{
    return 2;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section;
{
    if (section == 0) {
        return _vcTitleArray.count;
    }else {
        return _titleArray.count;
    }
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath;
{
    static NSString *iden = @"TSCCell";
    FlatTableCell *tableCell = [tableView dequeueReusableCellWithIdentifier:iden];
    if (tableCell == nil) {
        tableCell = [[FlatTableCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:iden];
    }
    
    if (indexPath.section == 0) {
        tableCell.textLabel.text = _vcTitleArray[indexPath.row];
    }else {
        tableCell.textLabel.text = _titleArray[indexPath.row];
    }
    
    return tableCell;
}


#pragma mark UITableViewDelegate

- (NSString *)tableView:(UITableView *)tableView titleForHeaderInSection:(NSInteger)section;
{
    if (section == 0) {
        return @"VC";
    }else {
        return @"Fast Test";
    }
}

- (CGFloat)tableView:(UITableView *)tableView heightForHeaderInSection:(NSInteger)section {
    
    return [FlatFit rowHeight]*0.5;
}

- (CGFloat)tableView:(UITableView *)tableView heightForFooterInSection:(NSInteger)section {
    
    return 1;
}

- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath {
    return [FlatFit rowHeight];
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath;
{
    [tableView deselectRowAtIndexPath:indexPath animated:YES];//取消选中 cell
    PTTestTSC *testTSC = [[PTTestTSC alloc] init];
    
    switch (indexPath.section) {
        case 0:
            
            switch (indexPath.row) {
                case 0: [self pushBarcodeVC];   break;
                case 1: [self pushTextVC];      break;
                    
                default:
                    break;
            }
            
            break;
            
        case 1:
            
            switch (indexPath.row) {
                case 0:     [testTSC selfTest];            break;
                case 1:     [testTSC printText];           break;
                case 2:     [testTSC printBar];            break;
                case 3:     [testTSC printBox];            break;
                case 4:     [testTSC printCircle];         break;
                case 5:     [testTSC printDMatix];         break;
                case 6:     [testTSC printErase];          break;
                case 7:     [testTSC printMaxicode];       break;
                case 8:     [testTSC printPDF417];         break;
                case 9:     [testTSC printBarcode];        break;
                case 10:    [testTSC printReceipt];        break;
                case 11:    [testTSC printQRCode];         break;
                case 12:    [testTSC printBitmap];         break;
                default:    break;
            }
            break;
            
        default:
            break;
    }
    
}

- (void)pushBarcodeVC {
    
    PTTscBarcodeVC *barcodeVC = [[PTTscBarcodeVC alloc] init];
    [self.navigationController pushViewController:barcodeVC animated:YES];
}

- (void)pushTextVC {
    
    PTTscTextVC *textVC = [[PTTscTextVC alloc] init];
    [self.navigationController pushViewController:textVC animated:YES];
}

@end
