//
//  FlatPickerKit.h
//
//  Created by midmirror on 15/12/28.
//  Copyright © 2015年 midmirror. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "FlatPublicDefine.h"

@interface FlatPickerKit : UIPickerView<UIPickerViewDataSource,UIPickerViewDelegate>

@property(strong,nonatomic,readwrite) NSArray *dataSourceArray;
@property(strong,nonatomic,readwrite) UIPickerView *pickerView;
@property(strong,nonatomic,readwrite) NSMutableArray *titleArray;
@property(strong,nonatomic,readwrite) NSMutableArray *rowArray;

/**
 *  create a pickerView in designated size use dataSourceArray,usually add to popView
 *  create a legal dataSourceArray(NSArray) is most important
 *  构建一个合理的数据源数组是最重要的，_dataSourceArray 的个数即为 component 的个数，_dataSourceArray的
 *
 *  @param width           pickerView width
 *  @param height          pickerView Height
 *  @param dataSourceArray _dataSourceArray[component][row]
 
 *  numberOfComponents      _dataSourceArray.count;
 *  numberOfRows            [_dataSourceArray[component] count];
 *
 *  @return pickerView
 */
- (id)initWithWidth:(float)width Height:(float)height withDataSource:(NSArray *)dataSourceArray;

@end
